import {createApp} from 'vue'
import App from '@/App.vue'
import '@/reset.css'
import './index.css'
// 公共样式
import '@/assets/scss/common.scss'
// iconfont css
import "@/assets/iconfont/iconfont.css";
// vue Router
import router from "@/router";
// pinia stores
import pinia from "@/stores";

const vueApp = createApp(App);
import {initEnums} from "@/config/dict.ts";

initEnums()
vueApp
    .use(router)
    .use(pinia)
    .mount('#app')
